main {
    background: #FFF;
    position: relative;
}
#profile {
    padding: 40px 0px 45px;

    .section-title {
        text-align: center;
    }

    p:last-of-type {
        margin-bottom: 0px;
    }
}
#education-skills-outer {
    background: url('../assets/education-bg-2.jpg') no-repeat fixed center center/cover;
}
.ios #education-skills-outer {
    background-attachment: scroll;
}
#education-skills {
    display: flex;
}
#education {
    width: 50%;
    flex: none;
    box-sizing: border-box;
    padding: 30px 30px 30px 0px;

    .section-title {
        background: #FFF;
        box-shadow: $shadow;
        padding: 20px;
        border-color: transparent;
        opacity: 0;
    }

    > ul {

        > li {
            background: #FFF;
            box-shadow: $shadow;
            margin: 20px 0px;
            padding: 20px;
            opacity: 0;

            .degree {
                margin-bottom: 5px;
            }

            .institution {
                margin-bottom: 0px;
                display: flex;
                justify-content: space-between;
                flex-wrap: wrap;
        
                .name {
                    font-weight: 600;
                }
                .timeframe {
                    color: $blue;
                    font-style: italic;
                }
            }

            .program {
                color: #666;
            }

            .gpa {
                font-style: italic;
            }
        }
    }
}
#skills {
    width: 50%;
    flex: none;
    background: #EEE;
    position: relative;
    box-sizing: border-box;
    padding: 30px 0px 30px 30px;

    &:after {
        content: "";
        display: block;
        position: absolute;
        top: 0px;
        left: 100%;
        width: 60px;
        height: 100%;
        background: #EEE;
    }

    .section-title {
        padding: 20px 0px;
    }

    > ul {
        width: calc(100% + 10px);
        margin: -5px 0px 0px -5px;
        display: flex;
        flex-wrap: wrap;

        > li {
            display: block;
            background: #FFF;
            padding: 14px 30px;
            margin: 5px;
            border-radius: 5px;
            flex: 1 1 auto;
            text-align: center;
        }
    }
}
#experience {
    padding: 40px 0px 45px;

    .section-title {
        text-align: center;
    }

    > ul {

        > li {
            position: relative;

            &:not(:last-child) {
                padding-bottom: 30px;
                margin-bottom: 30px;
                border-bottom: solid 1px #EEE;
            }

            .title {
                margin-bottom: 5px;
            }

            .company {
                margin-bottom: 0px;
                display: flex;
                justify-content: space-between;
                flex-wrap: wrap;
        
                .name {
                    font-weight: 600;
                }
                .timeframe {
                    color: $blue;
                    font-style: italic;
                }
            }

            .location {
                font-style: italic;
                color: #666;
            }

            .description p:last-child {
                margin-bottom: 0px;
            }
        }
    }
}
#work-outer {
    background: url('../assets/work-bg.jpg') no-repeat fixed center center/cover;
    overflow: hidden;

    &:before {
        @include gradient-overlay;
    }
}
.ios #work-outer {
    background-attachment: scroll;
}
#work {
    padding: 30px 0px;
    display: flex;
    align-items: center;

    .section-title {
        border-color: #FFF;
        color: #FFF;
    }
}
#work-overview {
    width: 34%;
    flex: none;
    color: #FFF;
    box-sizing: border-box;
    padding: 0px 30px 0px 0px;
    opacity: 0;
}
#work-samples {
    width: 66%;
    flex: none;
    box-sizing: border-box;
    padding: 0px 0px 0px 30px;

    > ul {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: max-content max-content max-content;
        column-gap: 30px;
        row-gap: 30px;
        position: relative;

        > li {
            opacity: 0;
        }
    }
}
.work-sample-button {
    display: block;
    box-sizing: border-box;
    text-align: center;
    text-decoration: none;
    height: 100%;
    color: #333;
    position: relative;
    transition: transform .2s ease 0s;
    box-shadow: $shadow;
    border-radius: 3px;
    background: rgba(255, 255, 255, .95);

    &:hover,
    &:focus {
        transform: scale(1.05);
    }

    .work-sample-button-inner {
        display: flex;
        flex-direction: column;
        width: 100%;
        min-height: 100%;
        box-sizing: border-box;
        padding: 15px;
        font-weight: 600;
        z-index: 2;

        .work-sample-button-icon {
            width: 100%;
            color: $blue;
            font-size: 6rem;
            box-sizing: border-box;
            flex: 1 1 auto;
            padding: 15px 0px 30px;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .work-sample-button-text {
            width: 100%;
            text-align: center;
            flex: none;
        }
    }
}
.work-sample-wrapper {
    display: flex;
    align-items: flex-start;
}
.work-sample-media {
    position: relative;
    flex: none;
    width: 40%;
    box-sizing: border-box;

    &.video:before {
        content: "";
        display: block;
        padding-top: 56.25%;
    }

    iframe {
        position: absolute;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
    }

    img {
        display: block;
        width: 100%;
        height: auto;
        border: solid 1px #EEE;

        &:not(:first-child) {
            margin-top: 15px;
        }
    }
}
.work-sample-content {
    flex: none;
    padding-left: 30px;
    width: 60%;
    box-sizing: border-box;

    > h3 {
        color: $blue;
        border-bottom: solid 1px #eee;
        padding-bottom: 15px;
        padding-right: 50px;
        margin-bottom: 1rem;
    }

    > h4 {
        border-bottom: solid 1px #eee;
        padding-bottom: .75rem;
        margin: 1.5rem 0 .75rem;
    }
}
.work-sample-tags {
    width: calc(100% + 10px);
    margin: 30px 0px 0px -5px;
    display: flex;
    flex-wrap: wrap;

    > li {
        display: block;
        background: #f2f2f2;
        padding: 13px 30px;
        margin: 5px;
        border: solid 2px #f2f2f2;
        border-radius: 5px;
        flex: none;
        text-align: center;
    }
}
.work-sample-links {

    > li {
        position: relative;
        padding-left: 23px;

        &:before {
            content: icon("e902");
            @include icon-font-family;
            font-size: .8rem;
            display: block;
            position: absolute;
            top: 5px;
            left: 0px;
        }
    }
}
#contact {
    padding: 40px 0px 45px;
    text-align: center;

    .label {
        font-weight: 600;
    }

    > ul {

        > li {
            margin-bottom: 5px;
        }
    }

    a {
        word-break: break-all;
    }
}
#email {
    display: inline-block;
    padding: 10px 15px;
    background: $blue;
    color: #FFF;
    text-decoration: none;
    margin: 15px 0px 0px 0px;
    font-weight: 600;
    border-radius: 3px;
    position: relative;
    transition: transform .2s ease 0s;

    &:hover,
    &:focus {
        transform: scale(1.05);
    }
}
#work-sample-detail-outer {
    background: rgba(0, 0, 0, 0);
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 15;
    display: flex;
    justify-content: center;
    padding: 60px;
    box-sizing: border-box;
    animation: workSampleWindowIn .5s;
    animation-fill-mode: forwards;
    overflow: auto;

    &.fade-out {
        animation: workSampleWindowOut .5s;
        animation-fill-mode: forwards;
    }
}
#work-sample-detail {
    width: 100%;
    background: #FFF;
    box-shadow: $shadow;
    padding: 30px;
    margin: auto 0;
    box-sizing: border-box;
    position: relative;
}
#close-work-sample-modal {
    display: block;
    position: absolute;
    top: 25px;
    right: 25px;
    font-size: 1.5rem;
    color: $blue;
    text-decoration: none;
    line-height: 1;
    padding: 5px;

    &:before {
        content: icon("e901");
        @include icon-font-family;
        font-weight: 600;
    }
}